Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.actions.intranet
Class ValidDocument

    java.lang.Object
      org.esupportail.portal.utils.channels.SubChannel
          org.esupportail.portal.channels.CIntranet.actions.intranet.AbstractAction
              org.esupportail.portal.channels.CIntranet.actions.intranet.ValidDocument

All Implemented Interfaces:
  org.esupportail.portal.utils.channels.ISubChannel, org.jasig.portal.ICacheable

    public class ValidDocument

extends AbstractAction

ValidDocument
Cette classe prend en charge la validation d'un document
(c)Copyright ESup-Portail 2004

Version:
  $Revision: 1.1.2.4 $
Author:
  Mathieu Larchet

Constructor Summary
`ValidDocument(org.esupportail.portal.utils.channels.MainChannel mainChannel)` Constructeur

Method Summary
`java.lang.Boolean` | `dismiss(org.jasig.portal.ChannelRuntimeData rd)` Etape 2/4 du cycle de vie de la SubChannel Annule les changements d'un document Override SubChannel.init() method
`int` | `getLevel()` Indique le niveau requis pour réaliser cette action Implements AbstractAction.getLevel() method
`java.lang.Boolean` | `valid(org.jasig.portal.ChannelRuntimeData rd)` Etape 2/4 du cycle de vie de la SubChannel Valide les changements d'un document Override SubChannel.init() method

Methods inherited from class org.esupportail.portal.channels.CIntranet.actions.intranet.AbstractAction
`initialize`

Methods inherited from class org.esupportail.portal.utils.channels.SubChannel
`addDefaultXslParameters, addDownloadXslParameter, clearChannel, generateKey, getMainChannel, getMediaPath, getMediaPathMAG, getPackageName, getRuntimeData, getSSL, getXML, getXSL, getXSLParameter, init, isCacheValid, log, log, logXslParameters, renderXML, setDefaultXslParameters, setOutput, setSSL, setXML, setXML, setXSL, setXSLParameter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidDocument

    public ValidDocument(org.esupportail.portal.utils.channels.MainChannel mainChannel)

  Constructeur

  Parameters:
    `mainChannel` - La channel principale

Method Detail

### getLevel

    public int getLevel()

  Indique le niveau requis pour réaliser cette action Implements AbstractAction.getLevel() method

  Specified by:
    `getLevel` in class `AbstractAction`
  Returns:
    level Le niveau requis pour accéder à cette action

### valid

    public java.lang.Boolean valid(org.jasig.portal.ChannelRuntimeData rd)
                            throws org.jasig.portal.PortalException,
                                   org.esupportail.portal.utils.channels.FrameWorkException

  Etape 2/4 du cycle de vie de la SubChannel Valide les changements d'un document Override SubChannel.init() method

  Parameters:
    `rd` - Les runtimeData
  Returns:
    Boolean TRUE si tout se passe bien, FALSE sinon
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

### dismiss

    public java.lang.Boolean dismiss(org.jasig.portal.ChannelRuntimeData rd)
                              throws org.jasig.portal.PortalException,
                                     org.esupportail.portal.utils.channels.FrameWorkException

  Etape 2/4 du cycle de vie de la SubChannel Annule les changements d'un document Override SubChannel.init() method

  Parameters:
    `rd` - Les runtimeData
  Returns:
    Boolean TRUE si tout se passe bien, FALSE sinon
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD